'use strict';

exports.__esModule = true;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _LargeCardAction = require('./LargeCardAction');

var _LargeCardAction2 = _interopRequireDefault(_LargeCardAction);

var _LargeCardClose = require('./LargeCardClose');

var _LargeCardClose2 = _interopRequireDefault(_LargeCardClose);

var _LargeCardGutter = require('./LargeCardGutter');

var _LargeCardGutter2 = _interopRequireDefault(_LargeCardGutter);

var _LargeCardContent = require('./LargeCardContent');

var _LargeCardContent2 = _interopRequireDefault(_LargeCardContent);

var _LargeCardKeyValue = require('./LargeCardKeyValue');

var _LargeCardKeyValue2 = _interopRequireDefault(_LargeCardKeyValue);

var _LargeCardRecentList = require('./LargeCardRecentList');

var _LargeCardRecentList2 = _interopRequireDefault(_LargeCardRecentList);

var _LargeCardTitle = require('./LargeCardTitle');

var _LargeCardTitle2 = _interopRequireDefault(_LargeCardTitle);

var _LargeCardStat = require('./LargeCardStat');

var _LargeCardStat2 = _interopRequireDefault(_LargeCardStat);

require('../../styles/components/large-card.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var LargeCard = function (_React$Component) {
  (0, _inherits3['default'])(LargeCard, _React$Component);

  function LargeCard() {
    (0, _classCallCheck3['default'])(this, LargeCard);
    return (0, _possibleConstructorReturn3['default'])(this, _React$Component.apply(this, arguments));
  }

  LargeCard.prototype.render = function render() {
    return _react2['default'].createElement(
      _flexboxReact2['default'],
      { className: 'large_card  is-fullview-open-' + this.props.showCard + ' ' + this.props.className + ' ', style: this.props.style },
      _react2['default'].createElement(
        _flexboxReact2['default'],
        { flexDirection: 'row', flexGrow: 3, className: 'large_card__container ' + (this.props.framed ? 'framed' : '') },
        this.props.children
      )
    );
  };

  return LargeCard;
}(_react2['default'].Component);

LargeCard.Action = _LargeCardAction2['default'];
LargeCard.Close = _LargeCardClose2['default'];
LargeCard.Gutter = _LargeCardGutter2['default'];
LargeCard.Content = _LargeCardContent2['default'];
LargeCard.KeyValue = _LargeCardKeyValue2['default'];
LargeCard.RecentList = _LargeCardRecentList2['default'];
LargeCard.Title = _LargeCardTitle2['default'];
LargeCard.Stat = _LargeCardStat2['default'];


LargeCard.defaultProps = {
  className: '',
  framed: false
};
LargeCard.propTypes = {
  className: _react2['default'].PropTypes.string,
  framed: _react2['default'].PropTypes.bool
};
exports['default'] = LargeCard;
module.exports = exports['default'];
//# sourceMappingURL=LargeCard.js.map