'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var MicroCardContentMessage = function MicroCardContentMessage(props) {
  var status = '';

  switch (props.status) {
    case 'critical':
      status = 'text-critical';
      break;
    case 'warning':
      status = 'text-warning';
      break;
    default:
      status = '';
  }
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    { flexDirection: 'column', justifyContent: 'center', className: 'microcard__message ' + status + ' ' },
    props.children
  );
};

MicroCardContentMessage.defaultProps = {
  status: 'default'
};

MicroCardContentMessage.propTypes = {
  status: _react2['default'].PropTypes.string
};

exports['default'] = MicroCardContentMessage;
module.exports = exports['default'];
//# sourceMappingURL=MicroCardContentMessage.js.map