'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var ThinCardWidgetLabel = function ThinCardWidgetLabel(props) {
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    { alignItems: 'center', className: ' ' + props.className + ' thincard__widget_label', style: props.style },
    props.children
  );
};

ThinCardWidgetLabel.defaultProps = {
  style: {},
  className: {}
};

ThinCardWidgetLabel.propTypes = {
  style: _react2['default'].PropTypes.object,
  className: _react2['default'].PropTypes.object
};

exports['default'] = ThinCardWidgetLabel;
module.exports = exports['default'];
//# sourceMappingURL=ThinCardWidgetLabel.js.map