'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var LargeCardContent = function LargeCardContent(props) {
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    { flexDirection: 'row', flexGrow: 3, className: ' ' + props.className, style: props.style, paddingTop: '10px', paddingBottom: '10px', paddingLeft: '15px', paddingRight: '15px' },
    props.children
  );
};

LargeCardContent.defaultProps = {};

LargeCardContent.propTypes = {};

exports['default'] = LargeCardContent;
module.exports = exports['default'];
//# sourceMappingURL=LargeCardContent.js.map