'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _palette = require('../../palette');

var _palette2 = _interopRequireDefault(_palette);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var LargeCardGutter = function LargeCardGutter(props) {
  var color = '';
  switch (props.color) {
    case 'critical':
      color = _palette2['default'].red;
      break;
    case 'warning':
      color = _palette2['default'].yellow;
      break;
    case 'normal':
      color = _palette2['default'].blue;
      break;
    case 'blue':
      color = _palette2['default'].blue;
      break;
    default:
      color = props.color;
  }
  return _react2['default'].createElement(_flexboxReact2['default'], { className: 'fullview__left_border', width: '9px', style: { backgroundColor: color } });
};

LargeCardGutter.defaultProps = {};

LargeCardGutter.propTypes = {};

exports['default'] = LargeCardGutter;
module.exports = exports['default'];
//# sourceMappingURL=LargeCardGutter.js.map